diff -urN nagios.orig/base/notifications.c nagios-cvs/base/notifications.c
--- nagios.orig/base/notifications.c	Sun Aug 15 11:13:59 2004
+++ nagios-cvs/base/notifications.c	Thu Sep 30 13:37:16 2004
@@ -579,9 +579,9 @@
 	commandsmember *temp_commandsmember;
 	char command_name[MAX_INPUT_BUFFER];
 	char *command_name_ptr=NULL;
-	char raw_command[MAX_INPUT_BUFFER];
-	char processed_command[MAX_INPUT_BUFFER];
-	char temp_buffer[MAX_INPUT_BUFFER];
+	char raw_command[MAX_COMMAND_BUFFER];
+	char processed_command[MAX_COMMAND_BUFFER];
+	char temp_buffer[MAX_COMMAND_BUFFER];
 	int early_timeout=FALSE;
 	double exectime;
 	int macro_options=STRIP_ILLEGAL_MACRO_CHARS|ESCAPE_MACRO_CHARS;
@@ -1260,9 +1260,9 @@
 	commandsmember *temp_commandsmember;
 	char command_name[MAX_INPUT_BUFFER];
 	char *command_name_ptr;
-	char temp_buffer[MAX_INPUT_BUFFER];
-	char raw_command[MAX_INPUT_BUFFER];
-	char processed_command[MAX_INPUT_BUFFER];
+	char temp_buffer[MAX_COMMAND_BUFFER];
+	char raw_command[MAX_COMMAND_BUFFER];
+	char processed_command[MAX_COMMAND_BUFFER];
 	int early_timeout=FALSE;
 	double exectime;
 	int macro_options=STRIP_ILLEGAL_MACRO_CHARS|ESCAPE_MACRO_CHARS;
diff -urN nagios.orig/include/common.h nagios-cvs/include/common.h
--- nagios.orig/include/common.h	Sun Nov 23 02:36:04 2003
+++ nagios-cvs/include/common.h	Thu Sep 30 13:36:44 2004
@@ -344,6 +344,7 @@
 
 #define MAX_FILENAME_LENGTH			256	/* max length of path/filename that Nagios will process */
 #define MAX_INPUT_BUFFER			1024	/* size in bytes of max. input buffer (for reading files) */
+#define MAX_COMMAND_BUFFER			4096	/* max size of command line, after macro expansions (for notifications only, presently) */
 
 #define MAX_DATETIME_LENGTH			48
 
